--- dsp2.c	2004-08-19 15:52:56.000000000 -0300
+++ dsp.c	2004-09-06 17:39:05.000000000 -0300
@@ -75,7 +75,7 @@
 	int size;
 	int freqs[7];
 } modes[] = {
-	{ GSAMP_SIZE_NA, { 350, 440, 480, 620, 950, 1400, 1800 } },	/* North America */
+	{ GSAMP_SIZE_NA, { 425, 440, 480, 620, 950, 1400, 1800 } },	/* North America */
 	{ GSAMP_SIZE_CR, { 425 } },
 };
 
@@ -90,7 +90,7 @@
 #define DSP_HISTORY 15
 
 /* Define if you want the fax detector -- NOT RECOMMENDED IN -STABLE */
-#define FAX_DETECT
+/* #define FAX_DETECT */
 
 #define TONE_THRESH 10.0	/* How much louder the tone should be than channel energy */
 #define TONE_MIN_THRESH 1e8	/* How much tone there should be at least to attempt */
@@ -1141,20 +1141,8 @@
 #endif
 			switch(dsp->progmode) {
 			case PROG_MODE_NA:
-				if (pair_there(hz[HZ_480], hz[HZ_620], hz[HZ_350], hz[HZ_440], dsp->genergy)) {
-					newstate = TONE_STATE_BUSY;
-				} else if (pair_there(hz[HZ_440], hz[HZ_480], hz[HZ_350], hz[HZ_620], dsp->genergy)) {
+				if (hz[HZ_425] > TONE_MIN_THRESH * TONE_THRESH) {
 					newstate = TONE_STATE_RINGING;
-				} else if (pair_there(hz[HZ_350], hz[HZ_440], hz[HZ_480], hz[HZ_620], dsp->genergy)) {
-					newstate = TONE_STATE_DIALTONE;
-				} else if (hz[HZ_950] > TONE_MIN_THRESH * TONE_THRESH) {
-					newstate = TONE_STATE_SPECIAL1;
-				} else if (hz[HZ_1400] > TONE_MIN_THRESH * TONE_THRESH) {
-					if (dsp->tstate == TONE_STATE_SPECIAL1)
-						newstate = TONE_STATE_SPECIAL2;
-				} else if (hz[HZ_1800] > TONE_MIN_THRESH * TONE_THRESH) {
-					if (dsp->tstate == TONE_STATE_SPECIAL2)
-						newstate = TONE_STATE_SPECIAL3;
 				} else if (dsp->genergy > TONE_MIN_THRESH * TONE_THRESH) {
 					newstate = TONE_STATE_TALKING;
 				} else
